import os
from pathlib import Path

from axipy import Position, Plugin, tr, ActionButton

from .Form import Form


class ExamplePluginMinimal(Plugin):
    def __init__(self) -> None:
        self._title: str = self.tr("Конвертация строк таблицы в MIF-файлы")

        self._action: ActionButton = ActionButton(
            title=self.tr("Конвертация строк в MIF"),
            icon=str(Path(os.path.abspath(__file__)).parent / 'images/icon.png'),
            on_click=self.show,
            tooltip=self.tr("Выполняет конвертацию каждой строки таблицы в отдельный MIF-файл")
        )
        position = Position(tr("Таблица"), tr("Создание"))
        position.add(self._action)

        self.form = None

    def unload(self) -> None:
        self._action.remove()

    def show(self) -> None:
        self.form = Form()
        self.form.open()
